cask "1password-cli@1" do
  version "1.12.9"
  sha256 "ff9af6a6aef58111f2279b30cebf158a2e14651176b40a649b30a12b772724a3"

  url "https://cache.agilebits.com/dist/1P/op/pkg/v#{version}/op_apple_universal_v#{version}.pkg",
      verified: "cache.agilebits.com/dist/1P/op/pkg/"
  name "1Password CLI"
  desc "Command-line helper for the 1Password password manager"
  homepage "https://developer.1password.com/docs/cli/v1/usage/"

  livecheck do
    url "https://app-updates.agilebits.com/check/1/0/CLI/en/0/N"
    strategy :json do |json|
      json["version"]
    end
  end

  conflicts_with cask: [
    "1password-cli",
    "1password-cli@beta",
  ]

  pkg "op_apple_universal_v#{version}.pkg"

  uninstall pkgutil: "com.1password.op"

  zap trash: "~/.op"
end
