cask "font-ibm-plex" do
  version "6.4.1"
  sha256 "2a21ec092c988c7e70c0774972fa820a98e81343a436a355f6f59322389c3672"

  url "https://github.com/IBM/plex/archive/refs/tags/v#{version}.tar.gz"
  name "IBM Plex"
  homepage "https://github.com/IBM/plex"

  deprecate! date: "2024-09-01", because: "is now distributed with the font variants as individual packages"

  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Bold.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-BoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-ExtraLightItalic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Italic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Light.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-LightItalic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Medium.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-MediumItalic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Regular.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-SemiBoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Text.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-TextItalic.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-Thin.otf"
  font "plex-#{version}/IBM-Plex-Mono/fonts/complete/otf/IBMPlexMono-ThinItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-Arabic/fonts/complete/otf/IBMPlexSansArabic-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-BoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-ExtraLightItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Italic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-LightItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-MediumItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-SemiBoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-TextItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-Condensed/fonts/complete/otf/IBMPlexSansCondensed-ThinItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-Devanagari/fonts/complete/otf/IBMPlexSansDevanagari-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-Hebrew/fonts/complete/otf/IBMPlexSansHebrew-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-JP/fonts/complete/otf/hinted/IBMPlexSansJP-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-KR/fonts/complete/otf/IBMPlexSansKR-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/IBMPlexSansThaiLooped-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans-Thai/fonts/complete/otf/IBMPlexSansThai-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Bold.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-BoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-ExtraLightItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Italic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Light.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-LightItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Medium.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-MediumItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Regular.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-SemiBoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Text.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-TextItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-Thin.otf"
  font "plex-#{version}/IBM-Plex-Sans/fonts/complete/otf/IBMPlexSans-ThinItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Bold.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-BoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-ExtraLight.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-ExtraLightItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Italic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Light.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-LightItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Medium.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-MediumItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Regular.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-SemiBold.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-SemiBoldItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Text.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-TextItalic.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-Thin.otf"
  font "plex-#{version}/IBM-Plex-Serif/fonts/complete/otf/IBMPlexSerif-ThinItalic.otf"
  font "plex-#{version}/IBM-Plex-Sans-Variable/fonts/complete/ttf/IBM Plex Sans Var-Roman.ttf"
  font "plex-#{version}/IBM-Plex-Sans-Variable/fonts/complete/ttf/IBM Plex Sans Var-Italic.ttf"

  # No zap stanza required
end
