cask "font-input" do
  version "1.2"
  sha256 :no_check

  # the served font is built dynamically, according to the query string;
  # we pass the default parameters, plus the required license agreement.
  url "https://input.djr.com/build/?fontSelection=whole&a=0&g=0&i=0&l=0&zero=0&asterisk=0&braces=0&preset=default&line-height=1.2&accept=I+do"
  name "Input"
  homepage "https://input.djr.com/"

  livecheck do
    url "https://input.djr.com/changelog/"
    regex(/Version\s+v?(\d+(?:\.\d+)+)/i)
  end

  font "Input_Fonts/InputMono/InputMono/InputMono-Black.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-BlackItalic.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-Bold.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-BoldItalic.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-ExtraLight.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-ExtraLightItalic.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-Italic.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-Light.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-LightItalic.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-Medium.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-MediumItalic.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-Regular.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-Thin.ttf"
  font "Input_Fonts/InputMono/InputMono/InputMono-ThinItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Black.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-BlackItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Bold.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-BoldItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-ExtraLight.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-ExtraLightItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Italic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Light.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-LightItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Medium.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-MediumItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Regular.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-Thin.ttf"
  font "Input_Fonts/InputMono/InputMonoCompressed/InputMonoCompressed-ThinItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Black.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-BlackItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Bold.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-BoldItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-ExtraLight.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-ExtraLightItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Italic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Light.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-LightItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Medium.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-MediumItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Regular.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-Thin.ttf"
  font "Input_Fonts/InputMono/InputMonoCondensed/InputMonoCondensed-ThinItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Black.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-BlackItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Bold.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-BoldItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-ExtraLight.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-ExtraLightItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Italic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Light.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-LightItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Medium.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-MediumItalic.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Regular.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-Thin.ttf"
  font "Input_Fonts/InputMono/InputMonoNarrow/InputMonoNarrow-ThinItalic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Black.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-BlackItalic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Bold.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-BoldItalic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-ExtraLight.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Italic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Light.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-LightItalic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Medium.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-MediumItalic.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Regular.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-Thin.ttf"
  font "Input_Fonts/InputSans/InputSans/InputSans-ThinItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Black.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-BlackItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Bold.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-BoldItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-ExtraLight.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Italic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Light.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-LightItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Medium.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-MediumItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Regular.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-Thin.ttf"
  font "Input_Fonts/InputSans/InputSansCompressed/InputSansCompressed-ThinItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Black.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-BlackItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Bold.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-BoldItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-ExtraLight.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Italic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Light.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-LightItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Medium.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-MediumItalic.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Regular.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-Thin.ttf"
  font "Input_Fonts/InputSans/InputSansCondensed/InputSansCondensed-ThinItalic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Black.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-BlackItalic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Bold.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-BoldItalic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-ExtraLight.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Italic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Light.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-LightItalic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Medium.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-MediumItalic.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Regular.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-Thin.ttf"
  font "Input_Fonts/InputSans/InputSansNarrow/InputSansNarrow-ThinItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Black.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-BlackItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Bold.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-BoldItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-ExtraLight.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Italic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Light.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-LightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Medium.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-MediumItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Regular.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-Thin.ttf"
  font "Input_Fonts/InputSerif/InputSerif/InputSerif-ThinItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Black.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-BlackItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Bold.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-BoldItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-ExtraLight.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Italic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Light.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-LightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Medium.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-MediumItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Regular.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-Thin.ttf"
  font "Input_Fonts/InputSerif/InputSerifCompressed/InputSerifCompressed-ThinItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Black.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-BlackItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Bold.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-BoldItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-ExtraLight.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Italic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Light.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-LightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Medium.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-MediumItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Regular.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-Thin.ttf"
  font "Input_Fonts/InputSerif/InputSerifCondensed/InputSerifCondensed-ThinItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Black.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-BlackItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Bold.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-BoldItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-ExtraLight.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-ExtraLightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Italic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Light.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-LightItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Medium.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-MediumItalic.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Regular.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-Thin.ttf"
  font "Input_Fonts/InputSerif/InputSerifNarrow/InputSerifNarrow-ThinItalic.ttf"

  caveats <<~EOS
    To use the Input fonts, you must agree to the terms of the license.

      https://input.djr.com/license/
  EOS

  # No zap stanza required
end
