cask "font-monaspace" do
  version "1.200"
  sha256 "544b94719be76dd2d7e69f8464c5f8c0d612e59e9bde8d9ecc8867c9aa4940af"

  url "https://github.com/githubnext/monaspace/releases/download/v#{version}/monaspace-v#{version}.zip",
      verified: "github.com/githubnext/monaspace/"
  name "Monaspace"
  homepage "https://monaspace.githubnext.com/"

  livecheck do
    url :url
    strategy :github_latest
  end

  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-Bold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-BoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-ExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-ExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-ExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-ExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-Italic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-Light.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-LightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-Medium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-MediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-Regular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-SemiWideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceArgonFrozen-WideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-Bold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-BoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-ExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-ExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-ExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-ExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-Italic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-Light.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-LightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-Medium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-MediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-Regular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-SemiWideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceKryptonFrozen-WideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-Bold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-BoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-ExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-ExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-ExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-ExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-Italic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-Light.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-LightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-Medium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-MediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-Regular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-SemiWideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceNeonFrozen-WideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-Bold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-BoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-ExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-ExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-ExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-ExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-Italic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-Light.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-LightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-Medium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-MediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-Regular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-SemiWideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceRadonFrozen-WideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-Bold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-BoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-ExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-ExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-ExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-ExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-Italic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-Light.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-LightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-Medium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-MediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-Regular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-SemiWideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideExtraBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideExtraBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideExtraLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideExtraLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideLight.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideLightItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideMedium.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideMediumItalic.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideRegular.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideSemiBold.ttf"
  font "monaspace-v#{version}/fonts/frozen/MonaspaceXenonFrozen-WideSemiBoldItalic.ttf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-Bold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-BoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-ExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-ExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-ExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-ExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-Italic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-Light.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-LightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-Medium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-MediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-Regular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-SemiWideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceArgon-WideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-Bold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-BoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-ExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-ExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-ExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-ExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-Italic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-Light.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-LightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-Medium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-MediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-Regular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-SemiWideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceKrypton-WideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-Bold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-BoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-ExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-ExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-ExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-ExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-Italic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-Light.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-LightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-Medium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-MediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-Regular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-SemiWideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceNeon-WideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-Bold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-BoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-ExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-ExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-ExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-ExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-Italic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-Light.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-LightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-Medium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-MediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-Regular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-SemiWideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceRadon-WideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-Bold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-BoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-ExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-ExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-ExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-ExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-Italic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-Light.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-LightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-Medium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-MediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-Regular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-SemiWideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideExtraBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideExtraBoldItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideExtraLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideExtraLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideLight.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideLightItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideMedium.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideMediumItalic.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideRegular.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideSemiBold.otf"
  font "monaspace-v#{version}/fonts/otf/MonaspaceXenon-WideSemiBoldItalic.otf"
  font "monaspace-v#{version}/fonts/variable/MonaspaceArgonVarVF[wght,wdth,slnt].ttf"
  font "monaspace-v#{version}/fonts/variable/MonaspaceKryptonVarVF[wght,wdth,slnt].ttf"
  font "monaspace-v#{version}/fonts/variable/MonaspaceNeonVarVF[wght,wdth,slnt].ttf"
  font "monaspace-v#{version}/fonts/variable/MonaspaceRadonVarVF[wght,wdth,slnt].ttf"
  font "monaspace-v#{version}/fonts/variable/MonaspaceXenonVarVF[wght,wdth,slnt].ttf"

  # No zap stanza required
end
