cask "swifty" do
  version "0.6.13"
  sha256 "cc625c8c543bd8596694a5810e5db7967a6806b4511568cb6cda077bc02c3b4b"

  url "https://github.com/swiftyapp/swifty/releases/download/v#{version}/Swifty-#{version}.dmg",
      verified: "github.com/swiftyapp/swifty/"
  name "Swifty"
  desc "Offline password manager tool"
  homepage "https://getswifty.pro/"

  auto_updates true
  depends_on macos: ">= :high_sierra"

  app "Swifty.app"

  zap trash: [
    "~/Library/Application Support/Swifty",
    "~/Library/Logs/Swifty",
    "~/Library/Preferences/com.electron.swifty.plist",
    "~/Library/Saved Application State/com.electron.swifty.savedState",
  ]

  caveats do
    requires_rosetta
  end
end
