cask "malwarebytes" do
  version "5.12.0.2214"
  sha256 "93695eb4bdfffbe4f95784554166a0afac0583a015f831c015200aa4e57820d9"

  url "https://data-cdn.mbamupdates.com/web/mb#{version.major}_mac/Malwarebytes-Mac-#{version}.pkg",
      verified: "data-cdn.mbamupdates.com/web/"
  name "Malwarebytes for Mac"
  desc "Scan and remove malware, spyware, and viruses"
  homepage "https://www.malwarebytes.com/mac/"

  livecheck do
    url "https://downloads.malwarebytes.com/file/mb-mac"
    strategy :header_match
  end

  auto_updates true
  depends_on macos: ">= :big_sur"

  pkg "Malwarebytes-Mac-#{version}.pkg"

  uninstall launchctl: [
              "com.malwarebytes.mbam.frontend.agent",
              "com.malwarebytes.mbam.rtprotection.daemon",
              "com.malwarebytes.mbam.settings.daemon",
            ],
            quit:      "com.malwarebytes.mbam.frontend.agent",
            kext:      "com.malwarebytes.mbam.rtprotection",
            pkgutil:   "com.malwarebytes.mbam.*",
            delete:    "/Library/Application Support/Malwarebytes/MBAM",
            rmdir:     "/Library/Application Support/Malwarebytes"

  zap trash: [
    "~/Library/Application Support/com.malwarebytes.mbam.frontend.*",
    "~/Library/Caches/com.crashlytics.data/com.malwarebytes.mbam.frontend.*",
    "~/Library/Caches/com.malwarebytes.mbam.frontend.*",
    "~/Library/Caches/io.fabric.sdk.mac.data/com.malwarebytes.mbam.frontend.*",
    "~/Library/Preferences/com.malwarebytes.mbam.frontend.*",
    "~/Library/Saved Application State/com.malwarebytes.mbam.frontend.application.savedState",
  ]
end
